List prompts for the current admin organization
curl --request GET \
--url https://your-instance.example.com/api/prompts/admin/org \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/prompts/admin/org"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/prompts/admin/org', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "5f7b1c2e8a1d4e0012c3b4a5",
"name": "Leasing follow-up assistant",
"organizationId": "64a1b2c3d4e5f60012345678",
"organizationName": "Maple Property Group",
"isHidden": false,
"isPublished": true,
"updatedAt": "2026-04-22T10:14:00.000Z"
}
],
"totalCount": 27,
"hiddenCount": 4,
"visibleCount": 23,
"currentPage": 1,
"hasNextPage": true
}{
"error": "Prompt not found",
"details": "No prompt with id 5f7b1c2e8a1d4e0012c3b4a5 belongs to this user."
}{
"error": "Prompt not found",
"details": "No prompt with id 5f7b1c2e8a1d4e0012c3b4a5 belongs to this user."
}Prompts
List prompts for the current admin organization
Paginated listing of prompts scoped to the caller organization, available to admins and superadmins. Supports text search on name and visibility filtering. Used by the per-org Admin Prompt Visibility Management view.
GET
/
api
/
prompts
/
admin
/
org
List prompts for the current admin organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
x >= 1Available options:
all, hidden, visible ⌘I